%define initdir /etc/rc.d/init.d

Summary: An implementation of the RFC1413 identification server.
Name: pidentd
Version: 3.0.14
Release: 1
License: Public domain
Group: System Environment/Daemons
Source: ftp://ftp.lysator.liu.se/pub/unix/ident/servers/pidentd-%{version}.tar.gz
Patch0: pidentd-3.0.10-dummy.patch
Patch1: pidentd-3.0.12-nospace.patch
Source1: identd.conf
Source2: identd.init
Source3: sysconfig.identd
Provides: identd = %{version}
URL: http://www.lysator.liu.se/~pen/pidentd/
Prereq: /sbin/chkconfig, fileutils, sed, initscripts >= 5.54, util-linux >= 2.11a-4, /sbin/service
BuildRequires: openssl-devel glibc-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The pidentd package contains identd, which implements the RFC1413
identification server. Identd looks up specific TCP/IP connections and
returns either the user name or other information about the process
that owns the connection.

Install pidentd if you need to look up information about specific
TCP/IP connections.

%prep
%setup -q
%patch0 -p1 -b .dummy
%patch1 -p1 -b .nospace

%build

%configure --with-threads=yes --with-des=yes

make
make -C src # itest idecrypt ikeygen

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8

%makeinstall

pushd $RPM_BUILD_ROOT

ln -s identd .%{_sbindir}/in.identd	# XXX /etc/inetd.conf may need this
ln -s identd.8 .%{_mandir}/man8/in.identd.8

mkdir -p ./%{_sysconfdir} ./%{initdir}
install -m 0644 %SOURCE1 .%{_sysconfdir}/identd.conf
install -m 0755 %SOURCE2 .%{initdir}/identd

popd

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/identd
touch $RPM_BUILD_ROOT/%{_sysconfdir}/identd.key

%clean
rm -rf ${RPM_BUILD_ROOT}

%pre
groupadd -g 98 ident >/dev/null 2>&1 || :
useradd -M -n -g ident -o -r -d / -s /sbin/nologin \
	-c "pident user" -u 98 ident >/dev/null 2>&1 || :

%post
/sbin/chkconfig --add identd

%preun
if [ $1 = 0 ]; then
    /sbin/service identd stop > /dev/null 2>&1
    /sbin/chkconfig --del identd
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service identd condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc BUGS ChangeLog FAQ INSTALL README Y2K doc/rfc1413.txt
/usr/sbin/idecrypt
/usr/sbin/ikeygen
/usr/sbin/identd
/usr/sbin/in.identd
%attr(0644,root,root)	%config(noreplace) %{_sysconfdir}/identd.conf
%attr(0644,root,root)   %config(noreplace) %{_sysconfdir}/sysconfig/identd
%config(missingok,noreplace) %ghost  %attr(0600,root,root) %{_sysconfdir}/identd.key
%attr(0755,root,root)  %{initdir}/identd
%{_mandir}/man8/*

%changelog
* Wed Sep  5 2001 Trond Eivind Glomsrd <teg@redhat.com> 3.0.14-1
- Add URL
- 3.0.14, with security fixes 
- the init file is not a config file

* Thu Jun 21 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Turn on encrypted replies by default
- Don't send extra space in reply (#45108). 
  It was valid, but the extra space caused some (broken)
  servers to not understand it

* Tue Jun 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Mark the key as "missingok" (#45014)

* Mon Jun 18 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make sure it doesn't fail during startup if 
  /etc/sysconfig/identd isn't present (#44858)

* Thu Jun  7 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make /etc/identd.key owned by root - identd reads this file before
  switching ids
- Don't use a mix of /etc  and %%{_sysconfdir}

* Mon Apr 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Use /sbin/nologin (#38092) - and require a util-linux which
  includes this program
- use /sbin/service in pre- and post statements
- mark /etc/identd.conf and /etc/sysconfig/identd as noreplace

* Sun Mar  4 2001 Trond Eivind Glomsrd <teg@redhat.com>
- don't include docs for IRIX (#30514)

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Mon Feb 26 2001 Trond Eivind Glomsrd <teg@redhat.com>
- include ikeygen and idecrypt - support programs for the crypto abilities we
  now have (#29541)
- generate a key for identd in the init script

* Mon Feb 12 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 3.0.12, which drops privs earlier and compiles with openssl
- build with openssl support (#27051)

* Tue Jan 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- new style i18n

* Fri Jan 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use identd user, not a shared nobody (#12441)

* Thu Jan 18 2001 Trond Eivind Glomsrd <teg@redhat.com>
- gettextize initscript
- turn off by default
- add /etc/sysconfig/identd

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Tue Jul 18 2000 Jeff Johnson <jbj@redhat.com>
- fix: description in init script.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Than Ngo <than@redhat.de>
- /etc/rc.d/nit.d -> /etc/init.d
- fix initscript
- add requires initscripts >= 5.20
- condrestart in postun

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Wed Apr 12 2000 Herbert Valerio Riedel <hvr@gnu.org>
- force building w/o support for libdes 
- fixed dummy patch for alpha arch

* Tue Feb 22 2000 Jeff Johnson <jbj@redhat.com>
- forcibly remove pidentd from inetd's control in %post.

* Mon Feb 21 2000 Bill Nottingham <notting@redhat.com>
- add patch to drop privs correctly

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix depenencies

* Wed Jan 19 2000 Jeff Johnson <jbj@redhat.com>
- update to 3.0.10.

* Wed Jan 12 2000 Jeff Johnson <jbj@redhat.com>
- update to 3.0.8.
- reduce no. of kernel threads to 2 in default configuration.

* Tue Jan  4 2000 Bill Nottingham <notting@redhat.com>
- return of the init script

* Wed Sep 29 1999 Bill Nottingham <notting@redhat.com>
- fix unaligned traps on Alpha
- oops, take init script out

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Sat Sep  4 1999 Jeff Johnson <jbj@redhat.com>
- start identd through inetd.conf.

* Tue Aug 24 1999 Bill Nottingham <notting@redhat.com>
- start after NFS mounts (for NFS /usr)

* Thu Aug 19 1999 Jeff Johnson <jbj@redhat.com>
- start identd with same options as were used when started by inetd.

* Wed Aug 18 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.7.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Aug  6 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.5.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.2.
- use %configure

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.8.4.

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 2.7

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
